### Method

# ECal ComponentAlarm get_as_component

since: 3.34

#### Declaration [src]

    ICalComponent*
    e_cal_component_alarm_get_as_component (
      ECalComponentAlarm* alarm
    )

#### Description [src]

Creates a VALARM `ICalComponent` filled with data from the `alarm`. In case the `alarm` doesn’t have set ‘uid’, a new is assigned. Free the returned component with g_object_unref(), when no longer needed.

Available since: 3.34

#### Return value

Type: `None`

A newly created `ICalComponent` of `I_CAL_VALARM_COMPONENT` kind.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.